Download it now!
Bug 74079 - FILESAVE: Export to HTML in impress: exporting images in 1024x768 resolution doesn't work
Summary: FILESAVE: Export to HTML in impress: exporting images in 1024x768 resolution ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-26 12:08 UTC by Lukas Jirkovsky
Modified: 2014-04-13 21:15 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Jirkovsky 2014-01-26 12:08:18 UTC
Problem description:
If the image resolution is set to 1024x768, the images are exported as 800x600 instead of 1024x768

I've found this mentioned in the following forum, too:
http://www.oooforum.org/forum/viewtopic.phtml?t=151884

Steps to reproduce:
1. open a presentation
2. choose File -> Export and change the type to html document
3. continue until you get to the dialog where you can change the output resolution
4. there are three options available: 640x480, 800x600, 1024x768, select 1024x768
5. after finishing the export, observe that the output images are in 800x600 resolution.

Current behavior:
Image resolution is 800x600

Expected behavior:
Image resolution is 1027x768
Operating System: Linux (Other)
Version: 4.1.4.2 release
Comment 1 Tomaz Vajngerl 2014-01-27 13:05:52 UTC
Reproduced. I wonder if 1024x768 is even enough for today's high resolution monitors.
Comment 2 Commit Notification 2014-04-13 21:14:57 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f7ea60218ae96cda55dc39073fac807df64f18de

fdo#74079 - sd html export: fix false width values



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.